Aide de LOGISMA v3

LOGISMA v3

Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

PRESENTATION GENERALE

LOGISMA permet le téléchargement et le traitement des données depuis les convertisseurs de la famille ISMA type DLK.
Un dossier est créé pour chaque appareil pour y stocker ces paramètres et ces données dans le but d'éditer des rapports mensuels et des graphiques.
Tous les enregistrements sont convertis au format de fichier CSV et HTML.

LOGISMA se décompose en 5 exécutables :

  • LOGISMA.EXE
    Il gére l'ensemble des applications, c'est lui que l'on exécute pour démarrer.
  • MODEM.EXE
    Il est exécuté automatiquement depuis LOGISMA.EXE pour télécharger les données depuis un DLK via un modem ou une liaison filaire.
  • RAPPORT.EXE
    Il est exécuté automatiquement depuis LOGISMA.EXE pour créer des rapports mensuels.
  • GRAPHE.EXE
    Il est exécuté automatiquement depuis LOGISMA.EXE pour afficher les données sous forme de tableau et de graphique.
  • DEFAUT.EXE
    Il est exécuté indépendamment de LOGISMA.EXE, son rôle est de réceptionner des messages d'alarmes en provenance des DLK via modem.

ISMA Rue Hector Malot 57600 FORBACH

Tél.: 03-87-87-62-16
Fax : 03-87-88-18-59

Courriel : contact@isma.fr

Copyright © isma.fr


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

Les dossiers d'installation

Contenu du dossier d'un DLK

Installation de LOGISMA v3

Premier démarrage de LOGISMA v3

Configuration rapide d'un dossier DLK

PRISE EN MAINS

Les dossiers d'installations

  • Les exécutables sont installés dans le dossier C:\Program Files (x86)\ISMA\LOGISMA_v3.
  • Les dossiers des DLK sont installés dans C:\USERS\(nom_de_votre_session)\Documents\Logisma_v3, dans lequel 4 sous dossiers :
    1. settings : fichiers de configuration générale et fichiers d'erreurs.
    2. data : dossiers de chaque DLK.
    3. modele : fichiers modèles de configuration.
    4. tmp : copie de sauvegarde de toutes les données téléchargées depuis les DLK.

Contenu du dossier d'un DLK :

Le dossier DLK contient un dossier "telechargement_automatique" qui reçoit les données téléchargées prêtes à être converties depuis MODEM.EXE. Une fois le téléchargement des données terminé, LOGISMA converti ces données et les range dans des sous-dossiers datés.
A la racine du dossier d'un DLK, on retouve les derniers fichiers téléchargés, les fichiers de configuration ainsi que les derniers fichiers CSV et HTML créés :

  • Fichiers téléchargés depuis le DLK : tableau.dlk et donnee.dlk.
  • Fichiers CSV et HTML du dernier téléchargement : "nom_du_DLK".CSV et "nom_du_DLK".HTML.
  • Fichiers CSV et HTML du derniers rapport créé : rapport.CSV et rapport.HTML.
  • Fichier de configuration du DLK : param.dlk.
  • Configuration du graphe : graph.cfg.

Installation de LOGISMA v3

L'ensemble du paquetage d'installation est compilé dans l'exécutable d'installation.
Chaque installation ou réinstallation nécessite une clé d'installation délivrée par téléphone ou par courriel.
Le premier démarrage se fait via le menu Windows puis "Toutes les applications" ou "Tous les programmes" puis chercher le groupe LOGISMA v3.
Lors de la première exécution, il demandera une clé d'enregistrement ; sans cette clé, le logiciel ne démarrera pas.

Premier démarrage de LOGISMA v3

Lors du premier démarrage, il va créer les fichiers de configuration, les dossiers DLK dans "MES DOCUMENTS".
Un dossier DLK nommé "ISMA_DEMO" est configuré automatiquement avec le port de communication COM1 défini.
Un raccourci sera également placé sur le bureau de Windows.
Le logiciel est utilisable sans configuration supplémentaire pour un usage basique.
Pour transférer des données d'un DLK sur le PC, cliquez sur le menu "Télécharger les données".

Configuration rapide d'un dossier DLK

Pour accéder aux paramètres de votre dossier DLK, cliquez sur le menu paramètres.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

LICENCE LOGISMA v3

Le logiciel LOGISMA v3 nécessite une clé d'enregistrement pour démarrer.

L'installation est libre mais au démarrage un clé est requise. Une fois cette clé saisie, la totalité du logiciel est accessible.

La clé d'enregistrement peut être fournie par téléphone ou par courriel depuis le logiciel.

Pour obentir une clé, vous devez installer et démarrer le logiciel. Un écran d'accueil vous guidera et fournira des codes à envoyer à ISMA pour obtenir votre clé d'enregistrement.

Chaque clé est unique et chaque installation du logiciel nécessitera une nouvelle clé.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

TELECHARGER LES DONNEES

Téléchargement des données mémorisées dans un DLK

Le téléchargement des données est automatique à partir de ce menu.
LOGISMA utilise les préférences de chaque dossier DLK pour les téléchargements ; ces réglages sont regroupés dans le menu "Paramètres".
Par liaison directe, par modem ou depuis un fichier CSV d'une clé USB.
Les données sont transférées sur le PC puis converties en fichier CSV et HTML au standard LOGISMA.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

Présentation des rapports

Sélection des intervalles du rapport

Exporter le rapport en CSV

RAPPORT JOURNALIER

Présentation des rapports

Lors de chaque téléchargement de données, LOGISMA les range dans des sous-dossiers datés du mois de téléchargement en cours.
Il trie et copie aussi ces données pour les enregistrer dans des sous-dossiers "REPORT" dans lesquels les données sont filtrées et rangées par mois/année.

Les dossiers "REPORT" contiennent plusieurs fichiers CSV correspondant au téléchargement effectué.
Lors de la création d'un rapport, LOGISMA va lire le contenu de tous les fichiers présents dans le dossier mois choisi, il les fusionne, il extrait les doublons et génère des valeurs journalières.

Les rapports sont configurables depuis le menu "Paramètres".

Sélection des intervalles du rapport

Au démarrage du menu des rapports, vous devez choisir un DLK, une année et le mois pour lequel vous voulez créer un rapport.

Exporter le rapport CSV

Le rapport créé s'affiche au format HTML, le bouton "Exporter en (.CSV)" permet de créer un fichier CSV et de l'ouvrir avec logiciel par défaut.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

DERNIER FICHIER CSV/HTML

Le menu "Dernier fichier CSV" et "Dernier fichier HTML" ouvre le dernier fichier créé se trouvant dans le dossier du DLK.
Pour accéder à ce dossier, utilisez le menu "Dossier DATA".
Pour modifier la création des fichiers CSV et HTML, utilisez le menu "Paramètres".


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

Présentation des graphiques

Utilisation de la souris

Exporter le graphique

Choix des voies à afficher

GRAPHIQUE ET TABLEAU

Présentation des graphiques

Ce menu ouvre un interpréteur graphique pour visualiser les fichiers CSV.
Il peut afficher jusqu'à 8 courbes simultanément. Une liste de sélection est configurable et peut être mémorisée et personnalisée pour chaque DLK.
Pour accéder aux fichiers CSV de ce dossier, utilisez le menu "Dossier DATA".
Pour modifier la création des fichiers CSV et HTML, utilisez le menu "Paramètres".

Utilisation de la souris

Dans la zone graphique :

  • Bouton gauche : ZOOM.
  • Bouton droit : DEPLACER LE GRAPHE.

Exporter le graphique

Dans la barre supérieure, vous trouvez trois boutons pour exporter le graphique :

  • IMPRIMER : une boite de dialogue s'ouvre pour choisir la destination et la configuration.
  • CREER FICHIER BITMAP : créer un fichier .BMP puis l'ouvrir (le fichier est enregistré dans le dossier "Mes Documents\logisma_v3\Data\Graphe_LOGISMA.bmp).
  • COPIER (PRESSE PAPIER) : permet de copier le graphique pour le coller ensuite dans un courriel, un logiciel de dessin, ...

Choix des voies à afficher

Dans la barre de droite, selectionnez parmi les voies disponibles dans le dossier DLK jusqu'à 8 voies à afficher.
Le bouton "Enregistrer - Options" permet de garder en mémoire ces choix pour chaque dossier DLK.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

CONVERSION DES DERNIERES DONNEES

Ce menu converti les données présentes dans le dossier du DLK en cours pour classer les données dans les dossiers datés et pour les rapports.
En fonctionnement normal, cette opération est réalisée automatiquement voir menu "Paramètres".

Les données à convertir proviennent des fichiers "tableau.dlk" et "donnee.dlk".
Ces fichiers peuvent être importés et exportés.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

REGLAGES DU DLK

Ce menu permet de voir la dernière configuration du DLK.
Ces réglages sont stockés dans le fichier "param.dlk".
Le fichier "param.dlk" est écrasé à chaque transfert de données, pour en garder des copies voir le menu "Paramètres".

On y retrouve les réglages des entrées analogiques :

  • Mode calcul.
  • Coefficients de calibration.
  • Coefficients de la formule pour le calcul du débit.
  • Totalisateur.
  • Les liens inter-entrées.

Les tableaux de mémorisation :

  • Date et heure de début.
  • Validité.
  • Enregistrement des extrémums.
  • Le pas de mémorisation.
  • Le nombre d'enregistrements.
  • Activation des entrées numériques.

La configuration du DLK :

  • Zone de mémoire utilisée.
  • Nombre de voies du DLK.
  • Version du programme.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

EXPORTER DES FICHIERS

Ce menu permet d'exporter les fichiers ".DLK" ou ".CSV" vers le bureau de Windows.
Un dossier "LOGISMA-EXPORT" est créé sur le bureau et contient les fichiers sélectionnés.

Pour expédier ce dossier par courriel, faire un clic gauche sur le dossier "LOGISMA-EXPORT" et choisir "Envoyer vers" puis "Dossier compressé".
Un fichier "LOGISMA-EXPORT.ZIP" contenant le contenu du dossier est prêt à être envoyé.

Si le dossier n'est plus utile, il faut le supprimer du bureau.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

IMPORTER DES FICHIERS

Ce menu permet d'importer les fichiers ".DLK" ou ".CSV" vers le dossier DATA du DLK.
Les fichiers existants dans le dossier DLK seront automatiquement écrasés.

Après l'importation de fichier ".DLK", utilisez le menu "Conversion des dernières données" depuis le Menu OUTILS pour intégrer ces données au dossier du DLK.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

Dossier DATA

Dossier SETTINGS

Dossier TMP

MENU DOSSIER - DATA/SETTINGS/TMP

Le menu dossier permet d'accéder directement aux dossiers du DLK, il ouvre l'explorateur de fichiers de Windows.

Dossier DATA

Le dossier DATA contient tous les dossiers DLK.
C'est dans ce dossier que toutes les données et configurations de chaque DLK sont stockées.

Dossier SETTINGS

Le dossier SETTINGS contient les fichiers de configuration générale de LOGISMA.

Dossier TMP

Le dossier TMP contient une copie de tous les téléchargements de données réussis de tous les DLK.
Un sous-dossier BACKUP contient une seconde copie de tous les fichiers téléchargés, qu'ils soient complets ou non.
LOGISMA peut générer des messages et vous demander de vider ces dossiers s'ils deviennent trop volumineux.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

MENU JOURNAUX D'ERREURS

Ce menu permet d'ouvrir les fichiers de journaux d'erreurs de LOGISMA.

Un fichier existe pour l'application LOGISMA.EXE, MODEM.EXE et RAPPORT.EXE.

Ces fichiers peuvent être supprimés, ils seront reconstruits automatiquement.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

MENU FICHIER .DLK

Ce menu permet d'ouvrir les fichiers "TABLEAU.DLK" et "DONNEE.DLK" présents dans le dossier DATA du DLK.

Ces fichiers correspondent au dernier téléchargement de données du DLK en cours.

Ces fichiers peuvent être modifiés sous assistance technique avec le SAV ISMA en cas d'erreur de conversion des données.

Il est aussi possible de les exporter ou de les importer.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

Présentation du menu paramètres

Onglet GENERAL

Onglet CONFIGURATION DES DLK

Bouton PARAMETRER LA LIAISON RS232

PARAMETRES

Présentation du menu paramètres

Menu de personnalisation et de configuration des paramètres du logiciel.
Réglages des paramètres généraux et de chaque dossier DLK, identification des voies , réglages des rapports journaliers et configuration de la liaison série.

Onglet GENERAL

L'onglet général regroupe les réglages communs à tous les dossier DLK.

Conversion automatique des données en fin de conversion :
Après l'acquisition des données, les fichiers "tableau.dlk" et "donnee.dlk" contiennent les données brutes téléchargées. Ces fichiers sont automatiquement convertis au format CSV et/ou HTML si cette case est cochée.

Enregistrement automatique des données dans "MES DOCUMENTS" :
Après l'acquisition, les fichiers "tableau.dlk" et "donnee.dlk" sont automatiquement copiés dans le dossier du DLK si cette case est cochée.

Afficher les commentaires dans la bande de droite :
Afficher un historique des commandes exécutées dans le logiciel.
Pour effacer la liste, cliquer sur le texte.

Activer la création de rapport journalier :
En cochant cette case, des dossiers "REPORT" seront créés dans des sous-dossiers datés de chaque DLK dans lesquels les données par mois seront filtrées et triées.

Vérifier la présence d'un raccourci sur le bureau au démarrage :
Au démarrage, un contrôle de présence du raccourci "LOGISMA_v3" est effectué, il sera automatiquement ajouté s'il n'existe plus.

Fichiers à sauvegarder en fin de conversion :
Choisir les fichiers à sauvegarder dans le dossier de chaque DLK en fin de conversion.
.CSV : Fichier au format CSV, séparateur de colonne ";" et la virgule ",".
.HTML : Fichier au format de type page internet.
PARAM.DLK : ce fichier contient les réglages du DLK lors de chaque acquisition.

Choix de l'affichage en fin de conversion :
En fin de téléchargement et de conversion des données, les fichiers CSV et HTML sont créés automatiquement (si les cases à cocher correspondantes sont cochées). Ces fichiers permettent d'afficher au choix :
. Fichier .CSV : Ouvre le fichier CSV contenant les données du téléchargement.
. Fichier .HTML : Ouvre le fichier HTML contenant les données du téléchargement.
. Graphique : Ouvre un graphique contenant les données du téléchargement.
. Rapport journalier : Choisir un mois pour créer un rapport journalier.

Onglet CONFIGURATION DES DLK

La page de configuration des DLK comprend quatre onglets pour configurer les DLK, identifier les voies, configurer les rapports et l'acquisition automatique.

Tous les réglages de ces onglets dépendent du dossier DLK choisi dans la liste nommée : "DLK selectionné" en haut de la fenêtre.
Pour choisir un DLK, cliquer sur cette liste et choisir le dossier DLK souhaité.
Pour créer un nouveau dossier DLK : cliquer sur le bouton "Ajouter/modifier un DLK" puis renseigner impérativement les champs : "Nom du DLK" et "Dossier du DLK".
Vous pouvez créer jusqu'à 50 dossiers DLK.

N'oubliez pas de cliquer sur le bouton "Enregistrer les modifications" avant de quitter cette fenêtre.

Les pages suivantes sont détaillées ci-dessous :

  1. Informations du DLK
  2. Identification des voies
  3. Configuration des rapports
  4. Acquisition automatique

  • Informations du DLK
Nom du DLK | Nom qui sera affiché dans tous les menus pour selectionner ce DLK.
Dossier du DLK | Nom de dossier créé dans le sous-dossier "Mes Documents\Logisma_v3\Data".
Vitesse de transmission | 9600 : téléchargement par modem. 19200 : téléchargement par cordon local.
Choix du port COM | Choisir le port COM RS-232 entre COM1 et COM9 sur lequel est connecté le DLK.
Accès distant par modem | La connexion avec le DLK est distante par modem RTC ou GSM.
Numéro de téléphone de la ligne du modem | Entrer le numéro de téléphone de la ligne sur laquelle est connectée le DLK.
Le DLK est relié à un modem GSM | Le modem raccordé au DLK est un modèle GSM.
Effacer la mémoire en fin de transmission | La mémoire du DLK doit être effacée en fin de transmission. Le DLK mémorise les données et s'arrête d'enregistrer lorsque sa mémoire est pleine. Il faut donc libérer la mémoire en fin de chaque transmision.
Correction automatique des données avec les extremums | Pour les versions de programme V6, v7 et v10 du DLK, cette option peut être activée pour des pas de mémorisation de 1 et 2 minutes pour réduire les paliers de 0,6 m3/h présents pour ces pas de mémorisation uniquement.
Reset des entrées numériques à chaque enregistrement | Permet de remettre à zéro les compteurs sur les entrées numériques N1 et N2 sur chaque enregitrement.
Forçer des valeurs positives | Lors d'enregistrements de données proches de zéro depuis des signaux 4/20mA, il peut arriver d'avoir des valeurs légèrement négatives dues à la présision de conversion du zéro. Cochez cette case pour forcer des zéro à la place de valeurs négatives.
Calcul du débit par vannette (option sur DLK) | Cette option permet de calculer le débit avec des spécifiques aux canaux par vannette. Cette option doit aussi exister sur le DLK correspondant.
Choix des unités (option sur DLK) | Les unités de débits en l/s et m3/s peuvent être utilisées seulement si cette option existe sur le DLK correspondant.
Version du DLK | Automatique : convient pour toutes les versions standand de DLK. v6 : programme des anciennes versions de DLK. v7 et v8 : programme v7 avec anciennes formules et programme v8 avec nouvelle formule mais sans les extremums. V9 : DLK version clé USB. Pour la copie des fichiers USB. V10 : dernière version de DLK avec extremums et nouvelles formules.
Mode de calcul | Valeur calculée (défaut) : uniquement pour les entrées analogiques, la valeur affichée sera le résultat du mode de calcul. Valeur calibrée sans calcul : la valeur affichée correspondra à la valeur calibrée mais sans l'application du mode de calul (exemple : pour le débit ce sera la hauteur). Valeur brute : la valeur affichée sera le signal du capteur avant calibration (peut servir pour réaliser des diagnostics en cas de dysfonctionnement).

  • Identification des voies (pour les fichiers .CSV et .HTML)
Ax_MOY | Entrer le nom de la mesure correspondante (ex.: Débit, pH temp...)
Ax_MINI | Idem pour la colonne mini.
Ax_MAXI | Idem pour la colonne maxi.
Nx_HOR | Entrer le nom de la mesure pour l'entrée numérique N1 et N2 en mode compteur horaire.
Nx_COMPT | Entrer le nom de la mesure pour l'entrée numérique N1 et N2 en mode compteur d'impulsions.

  • Configuration des rapports
Voie | Choisir la voie (entrées analogiques ou numériques du DLK) à utiliser pour créer un champ de rapport.
Activée | Activer la voie choisie.
Titre | Donner un nom à ce champ.
Type | Choisir un type de calcul en fonction de la voie sélectionnée (ex.: moyenne, cumul, mini...).
Décimale | Nombre de chiffres après la virgule.
Unité | Entrer un texte libre pour l'unité à afficher.
Rapport en bas de page | Activer / désactiver le rapport en bas de page. Choisir le type de rapport : MOYENNE / CUMUL. Utiliser le rapport en bas de page pour afficher le débit cumulé dans le mois ou le pH moyen dans le mois par exemple.

  • Acquisition automatique
Manuel | Fonctionnement normal du logiciel, c'est à vous de démarrer la transmission en cliquant sur le menu télécharger les données.
Automatique au démarrage de LOGISMA | Au démarrage de LOGISMA, la transmission de données sera automatique.
Automatique à heure fixe | Cette fonction est utilisée si plusieurs dossiers DLK existent et en acquisition par modem.
Fermeture de LOGISMA après : transfert / conversion | Fermer l'application en fin de téléchargment / conversion des données uniquement pour les modes d'acquisition automatiques.

Bouton PARAMETRER LA LIAISON RS232

  1. Configuration de la liaison série
  2. Initialisation du modem
  3. Communication RS-232
  4. Structure DCB

  • Configuration de la liaison série

Cette fenêtre est remplie automatiquement lors d'une transmission. Seules les cases à cocher sont à configurer.

Configuration de la liaison série
Indicatif de sortie : chiffre à composer avant le numéro de téléphone (pour sortir du standard téléphonique).
Délai de réponse : délai de renvoi du checksum durant la transmission.
Délai de connexion : délai max de connexion au DLK.
Numéro de téléphone : numéro de la ligne du modem du DLK.
Nom : Nom du dossier DLK.
GSM : "1" pour modem GSM et "0" pour modem GSM désactivé.
Vitesse (9600 / 19200) : 9600bps pour les appels par modem.
Effacer la mémoire du DLK : "1" pour effacer, "0" pour ne pas effacer.
Connexion en direct liaison RS-232 : à cocher uniquement pour diagnostic de liaison par modem.
Mode acquisition : "TIMER" : mode de transmission des données sur le port série par défaut. Si décochée, le mode de transmission se fera par interruption.

  • Initialisation du modem
Initialisation du modem
Chaine de commande AT1 : chaine de commande AT pour l'initialisation des modems RTC.
Chaine de commande AT2 : chaine de commande AT pour l'initialisation des modems GSM.

  • Communication RS-232
Communication RS-232
Configuration des timouts du port série.
Modification uniquement par assistance SAV ISMA.

  • Structure DCB
Structure DCB
Lecture de la structure DCB du port série.
Lecture uniquement pour assistance SAV ISMA.


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

SERVICES

Ce menu permet d'accéder aux services web liés à LOGISMA.

  • Accéder au site internet www.isma.fr
  • Ouvrir le dernier bulletin d'information ISMA
  • Accéder directement à l'espace DLK du site www.isma.fr
  • Accéder à l'espace de téléchargement des documentations du site www.isma.fr
  • Télécharger la dernière version de LOGISMA
  • Télécharger une fiche de retour d'appareil pour le SAV ISMA


Introduction
Prise en main
Menu données
Menu outils
Paramètres
Services web
Licence

FAQs ET ASSISTANCE TECHNIQUE

ISMA Rue Hector Malot 57600 FORBACH

Tél.: 03-87-87-62-16
Fax : 03-87-88-18-59

Courriel : contact@isma.fr

FAQs ...